Summary:	X.org video driver for framebuffer device
Summary(pl.UTF-8):	Sterownik obrazu X.org dla framebuffera
Name:		xorg-driver-video-fbdev
Version:	0.5.1
Release:	1%{?tld}
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/driver/xf86-video-fbdev-%{version}.tar.xz
# Source0-md5:	6e1c5a31290c2613c9265e222c767ce3
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.18
BuildRequires:	xz
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-server >= 1.18
Provides:	xorg-driver-video
Obsoletes:	X11-driver-fbdev < 1:7.0.0
Obsoletes:	XFree86-FBDev < 4
Obsoletes:	XFree86-driver-fbdev < 1:7.0.0
Obsoletes:	xorg-xserver-Xfbdev < 1.20
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for framebuffer device.

%description -l pl.UTF-8
Sterownik obrazu X.org dla framebuffera.

%prep
%setup -q -n xf86-video-fbdev-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/fbdev_drv.so
%{_mandir}/man4/fbdev.4*
%changelog
* Tue Dec 03 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-driver-video-fbdev.git;a=log;h=master

* Fri Nov 08 2024 Jakub Bogusz <qboosh@pld-linux.org> 7d556dd
- updated to 0.5.1

* Sun Oct 31 2021 Jan Rękorajski <baggins@pld-linux.org> 91dd7c1
- rebuil with xorg-xserver-server 21.1.0

* Fri Jun 29 2018 Jakub Bogusz <qboosh@pld-linux.org> de89dd6
- updated to 0.5.0
- Obsoletes Xfbdev server

* Mon May 14 2018 Jan Rękorajski <baggins@pld-linux.org> 7ba3153
- release 8 (by relup.sh)

* Sun Nov 20 2016 Jan Rękorajski <baggins@pld-linux.org> 46e41f7
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> fd48ce0
- release 6 (by relup.sh)

* Thu Feb 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> f69cfe7
- due to xserver 1.17
- release 5 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9edd714
- xserver rebuild
- release 4 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> ead59e1
- xserver rebuild
- release 3 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 2dc3c84
- release 2 (by relup.sh)

* Tue Sep 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 51fbc7b
- updated to 0.4.4
- removed obsolete mibstore patch

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 20f4936
- release 4 (by relup.sh)

* Thu Mar 07 2013 witekfl <witekfl@poczta.onet.pl> 4ba3d7f
- added the patch with the compilation fix for xserver-1.14.0
- rel 3

* Thu Mar 07 2013 witekfl <witekfl@poczta.onet.pl> d0b468a
- compilation fix for xserver-1.14 (taken from Ubuntu)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0e8340b
- release 2 (by relup.sh)

* Mon Jul 02 2012 Jakub Bogusz <qboosh@pld-linux.org> beb263b
- updated to 0.4.3

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 27168ed
- release 6

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0dca620
- release 5

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> 794075a
- xorg-driver-video virtual for video drivers
- release 4

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4253fdc
- release 3

